Classes | Enumerations

# listctrl.h File Reference

## Classes
class | wxListCtrl
| A list control presents lists in a number of formats: list view, report view, icon view and small icon view. More...
class | wxListEvent
| A list event holds information about events associated with wxListCtrl objects. More...
class | wxListItemAttr
| Represents the attributes (color, font, ...) of a wxListCtrl's wxListItem. More...
class | wxListView
| This class currently simply presents a simpler to use interface for the wxListCtrl -- it can be thought of as a façade for that complicated class. More...
class | wxListItem
| This class stores information about a wxListCtrl item or column. More...
## Enumerations
enum | wxListColumnFormat { wxLIST_FORMAT_LEFT, wxLIST_FORMAT_RIGHT, wxLIST_FORMAT_CENTRE, wxLIST_FORMAT_CENTER = wxLIST_FORMAT_CENTRE }
| Column format (MSW only except wxLIST_FORMAT_LEFT). More...

## Enumeration Type Documentation

enum wxListColumnFormat

Column format (MSW only except wxLIST_FORMAT_LEFT).

Enumerator:

  wxLIST_FORMAT_LEFT |
  wxLIST_FORMAT_RIGHT |
  wxLIST_FORMAT_CENTRE |
  wxLIST_FORMAT_CENTER |

|  | [ top ]